Compare commits

...

2 Commits

Author SHA1 Message Date
Raphaël Numbus 3cfc72221d Added a branch selector for testing purposes. 2026-05-15 11:52:48 +02:00
Raphaël Numbus 96be47824f Moved clear command from parent to child process. 2026-05-15 11:49:57 +02:00
2 changed files with 3 additions and 5 deletions
+1 -1
View File
@@ -957,7 +957,7 @@ GUM_INPUT_TIMEOUT="3600"
# --- PRE MAIN LOGIC ---> # --- PRE MAIN LOGIC --->
set -euo pipefail set -euo pipefail
clear
trap cleanup EXIT trap cleanup EXIT
# --- PRE MAIN LOGIC ---< # --- PRE MAIN LOGIC ---<
+2 -4
View File
@@ -6,6 +6,7 @@ set -euo pipefail
REPO_URL="https://gittea.dev/numbus/numbus.git" REPO_URL="https://gittea.dev/numbus/numbus.git"
INSTALL_DIR="/run/user/$(id -u)/numbus-installer" INSTALL_DIR="/run/user/$(id -u)/numbus-installer"
BRANCH="${BRANCH:-production}"
echo -e "\n ☁️ Initializing Numbus Installer..." echo -e "\n ☁️ Initializing Numbus Installer..."
@@ -43,12 +44,9 @@ if [[ -e ${INSTALL_DIR}/config/* ]]; then
echo " ✅ Your files have been moved to the ${OLD_CONFIG_PATH} directory. You can retrieve them there if needed." echo " ✅ Your files have been moved to the ${OLD_CONFIG_PATH} directory. You can retrieve them there if needed."
fi fi
git clone "${REPO_URL}" "${INSTALL_DIR}" -q git clone -b "${BRANCH}" "${REPO_URL}" "${INSTALL_DIR}" -q
# 3. Launch the deployment script # 3. Launch the deployment script
cd "${INSTALL_DIR}/script" cd "${INSTALL_DIR}/script"
chmod +x deploy.sh chmod +x deploy.sh
clear
./deploy.sh ./deploy.sh